Get List of Template Variables
curl --request GET \
--url https://api.example.com/api/v1/campaign/rcs/variable-keys/{botId}import requests
url = "https://api.example.com/api/v1/campaign/rcs/variable-keys/{botId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/campaign/rcs/variable-keys/{botId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"data": [
{
"key": "Customer_Name",
"type": "string"
},
{
"key": "Appointment_Date",
"type": "date"
}
]
}
{
"status": false,
"message": "Invalid bot ID or template name"
}
{
"status": false,
"message": "No token provided"
}
RCS Campaign
Get List of Template Variables
Retrieve the variable details for a specific RCS template.
GET
/
api
/
v1
/
campaign
/
rcs
/
variable-keys
/
{botId}
Get List of Template Variables
Get List of RCS Template Variables
This API allows you to retrieve the list of variables for a specific RCS template associated with a bot.Path Parameters
string
required
The unique identifier for the bot associated with the RCS template. Contact
the Zixflow support team to configure or retrieve your bot ID.
Query Parameters
string
required
The name of the RCS template for which variable details are being requested.
Response
boolean
Indicates whether the call was successful.
true if successful, false if
not.string
Provides success or error message details.
array_object
Response Examples
{
"status": true,
"message": "Success",
"data": [
{
"key": "Customer_Name",
"type": "string"
},
{
"key": "Appointment_Date",
"type": "date"
}
]
}
{
"status": false,
"message": "Invalid bot ID or template name"
}
{
"status": false,
"message": "No token provided"
}